Organizations
For instructions on how to authenticate to use this endpoint, see API overview.
Endpoints
GET | |
POST | |
GET | |
DELETE | |
GET |
List all roles role memberships
Role endpoints disclose member records, so they scope them the same way the members list does when the org restricts member list visibility.
Required API key scopes
organization:readPath parameters
- role_idstring
Query parameters
- limitinteger
- offsetinteger
Response
Example request
GET /api /organizations /:organization_id /roles /:role_id /role_membershipsExample response
Status 200
RESPONSE
Create roles role memberships
Role endpoints disclose member records, so they scope them the same way the members list does when the org restricts member list visibility.
Required API key scopes
organization:writePath parameters
- role_idstring
Request parameters
- user_uuidstring
Response
Example request
POST /api /organizations /:organization_id /roles /:role_id /role_membershipsExample response
Status 201
RESPONSE
Retrieve roles role memberships
Role endpoints disclose member records, so they scope them the same way the members list does when the org restricts member list visibility.
Required API key scopes
organization:readPath parameters
- idstring
- role_idstring
Response
Example request
GET /api /organizations /:organization_id /roles /:role_id /role_memberships /:idExample response
Status 200
RESPONSE
Delete roles role memberships
Role endpoints disclose member records, so they scope them the same way the members list does when the org restricts member list visibility.
Required API key scopes
organization:writePath parameters
- idstring
- role_idstring
Example request
DELETE /api /organizations /:organization_id /roles /:role_id /role_memberships /:idExample response
Status 204 No response body
Retrieve welcome current
Aggregated payload for the invited-user welcome screen.
Response
Example request
GET /api /organizations /:organization_id /welcome /currentExample response
Status 200
RESPONSE











